<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="search-box-wrapper">
                        <form [formGroup]="searchGroupForm" (ngSubmit)="searchJobByItem()">
                            <input type="text" name="srch" placeholder="Job name"
                            aria-label="searchedItem" formControlName="searchedItem" [matAutocomplete]="auto" formControlName="searchedItem">
                            <mat-autocomplete #auto="matAutocomplete">
                                <mat-option *ngFor="let history of searchHistoryList" [value]="history">
                                    <span>{{history}}</span>
                                </mat-option>
                            </mat-autocomplete>
                            <input type="submit" name="">
                        </form>
                    </div>


                    <div class="emp-candi-box" *ngFor="let item of allEmployedCandidateDetails; let i = index">
                        <h3>Completed 
                            <a href="javascript:void(0);" (click)="removeFromFav(item.employerId , item.hireList.candidateId)"  *ngIf="item.isFavourite" style="color: #ad00ba;"><i class="fas fa-thumbs-up" aria-hidden="true"></i></a>
                            <a href="javascript:void(0);" (click)="saveAsFav(item.employerId , item.hireList.candidateId)"  *ngIf="!item.isFavourite" style="color: #ad00ba;"><i class="far fa-thumbs-up" aria-hidden="true"></i></a>
                        </h3>
                        <!-- <h3>Completed</h3> -->
                       
                        <h5>{{item.fname+'&nbsp;'+item.lname}}</h5>
                        <p><strong>Job: </strong>{{item.roleName}}</p>
                    <p><strong>Location: </strong>{{item.JoblocationName}}</p>
                        <div class="emp-candi-btnset">
                            <a (click)="openJobDetails(item.jobId ,item.hireList.roleId )" href="javascript:void(0);" class="btn border">Job
                                Details</a>
                            <a href="javascript:void(0);" (click)="viewCandidateProfile(item.hireList.candidateId ,item.jobId ,item.hireList.roleId,item.rating,item.profilePic)"
                            class="btn border">View Profile</a>                            
                            <a href="javascript:void(0);" (click)="openModal(template,item.employerId,item.jobId,item.hireList.candidateId,item.hireList.roleId)"><img src="assets/images/star-color.png">
                               
                            </a>
                            <!-- star rating -->
                            <ng-template #template>
                                <div class="modal-header">
                                  <h6 class="modal-title">Rate candidate for this job</h6>
                                  <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
                                    <span aria-hidden="true">&times;</span>
                                  </button>
                                </div>
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-sm-12 text-center">
                                        <aot-star-rating [rateValue]="rating" ngDefaultControl [(ngModel)]="rating"  (rateValueOutput)="ratingValueChanged($event)"></aot-star-rating>
                                        <!-- <span> ({{rating}}) </span> -->
                                    </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="description"> Description </label> 
                                                <textarea  class="form-control bsd" id ="description" form="star-rating-form" [(ngModel)]="review" placeholder="Please consider timekeeping, attendance, work quality, attitude and presentation"></textarea>
                                            </div>
                                        </div>  
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12 text-center">  
                                            <input type="submit" value="Submit" (click)="saveReview()" class="btn border">
                                        </div>    
                                    </div>
                                     
                                </div>
                              </ng-template>
                        </div>
                    </div>

                    <!-- <div class="emp-candi-box">
                        <h3>Ongoing <a href="#"><img src="assets/images/down-arw.png"></a></h3>
                        <h5>John Doe</h5>
                        <p><strong>Job: </strong>Painting</p>
                        <p><strong>Location: </strong>USA</p>
                        <div class="emp-candi-btnset">
                            <a href="#" class="btn border">Job Detail</a>
                            <a href="#" class="btn border">View Profile</a>
                        </div>
                    </div> -->

                </div>
            <pagination [totalItems]="total" [itemsPerPage]="perPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" [rotate]="false" (pageChanged)="getPaginatedData($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching" *ngIf="total"></pagination>

            </div>
        </div>
    </div>
</div>